Bug 57244 - pam_console.so module fails to load
Summary: pam_console.so module fails to load
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-07 19:21 UTC by Michael Kenney
Modified: 2013-07-02 22:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 15:14:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Kenney 2001-12-07 19:21:35 UTC
Description of Problem: Loading the pam_console.so module fails with the
following error message:

PAM [dlerror: /lib/security/pam_console.so: symbol fnmatch, version
GLIBC_2.2.3 not defined in file libc.so.6 with link time reference]

I was able to work around this problem by rebuilding the RPM on a system
with glibc-2.2.1.

Version-Release number of selected component (if applicable): 0.75-18.7


How Reproducible: fails every time


Steps to Reproduce:
1. Log-in to console with gdm
2. 
3. 

Actual Results:  Login partially succeeds but the ownership of /dev/dsp,
dev/fd0, /dev/mixer, etc. is not changed to the console user.


Expected Results:


Additional Information:  This may be a symptom of a general problem with
dynamic linking and glibc-2.2.4

Comment 1 Nalin Dahyabhai 2002-03-07 23:56:43 UTC
Which version of glibc do you have installed on this system.  Is it something
other than 2.2.4-19.3?

Comment 2 Michael Kenney 2002-03-08 00:06:31 UTC
The system in question has glibc-2.2.4-19 (not -19.3).  This was the latest
version available via Ximian Redcarpet at the time.


Note You need to log in before you can comment on or make changes to this bug.